POST /logistics/vrp/1.1.0/create (deprecated)
Method is no longer supported.
OpenAPI Specification
2GIS Navigation API (6.0.0)
Solving the traveling salesman problem
Calculation of passing all specified points for one or more couriers
query Parameters
| key required | string Developer API key |
Request Body schema: */*required
Request parameters
required | Array of objects (Agent) [ 1 .. 200 ] items List of couriers |
required | Array of objects (WayPoint) [ 1 .. 4000 ] items List of points to traverse |
| start_time | string <date-time> Default: "2026-06-01T13:05:02.940671" The start time of the movement in RFC-3339 format. For example: 2016-11-15T15:52:01+04:00;if the string is empty, the current time value is used |
| travel_time_calculation | string Default: "from_start_point" Enum: "from_start_point" "from_each_point" Method of calculating travel time:
|
RoutingOptions (object) or null | |
Options (object) or null Global settings for time windows |
Responses
Response Schema: application/json
| task_id required | string |
| status required | string (PublicTaskStatus) Enum: "Run" "Partial" "Fail" "Done" "Not Found" Task status:
|
PublicResultUrls (object) or null | |
integer or null Queue time for reachability matrix calculation (in seconds) | |
integer or null Reachability matrix calculation duration (in seconds) | |
integer or null Traveling salesman task calculation duration (in seconds) | |
integer or null Queue time for traveling salesman task calculation (in seconds) | |
string or null Reason for task failure (available when status is FAIL) |
Response samples
- 201
- 402
- 403
- 422
- 429
Content type
application/json
{- "task_id": "string",
- "status": "Run",
- "urls": {
- "url_vrp_solution": "string",
- "url_excluded": "string"
}, - "dm_queue": 0,
- "dm": 0,
- "vrp": 0,
- "vrp_queue": 0,
- "fail_reason": "string"
}